"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.summaryMessage = exports.prompts = exports.consoleArguments = exports.GITIGNORE_LIST = void 0;

var _chalk = _interopRequireDefault(require("chalk"));

var _prompts = _interopRequireDefault(require("prompts"));

var _types = require("./types");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const GITIGNORE_LIST = ['coverage/', '*.env'];
exports.GITIGNORE_LIST = GITIGNORE_LIST;

const prompts = (args, options) => (0, _prompts.default)(args, {
  onCancel: function () {
    process.exit(1);
  },
  ...options
});

exports.prompts = prompts;
const projectNotice = ['    You can start your project with predefined commands:', '      - yarn ios', '      - yarn android'];

const summaryMessage = projectName => `
${_chalk.default.greenBright.bold(`    ${projectName}    `)}
${_chalk.default.cyanBright.bold(`    Your project is ready!    `)}
${_chalk.default.magenta(projectNotice.join('\n'))}
`;

exports.summaryMessage = summaryMessage;
const consoleArguments = {
  integrations: {
    description: 'Which integrations/features would you like to have in your app?',
    choices: [_types.Integrations.Fastlane, _types.Integrations.GraphQL, _types.Integrations.Redux]
  },
  modules: {
    description: 'Which packages would you like to have in your app?',
    choices: [_types.Modules.Config, _types.Modules.GestureHandler, _types.Modules.Navigation, _types.Modules.Reanimated, _types.Modules.Screens, _types.Modules.Svg, _types.Modules.VectorIcons]
  }
};
exports.consoleArguments = consoleArguments;
//# sourceMappingURL=helpers.js.map