// eslint-disable-next-line import/no-extraneous-dependencies
const { getDefaultConfig } = require('metro-config');
// eslint-disable-next-line import/no-extraneous-dependencies
const exclusionList = require('metro-config/src/defaults/exclusionList');

module.exports = (async () => {
  const {
    resolver: { sourceExts },
    maxWorkers,
  } = await getDefaultConfig();
  const defaultSourceExts = [...sourceExts, 'cjs'];

  return {
    transformer: {
      getTransformOptions: async () => ({
        transform: {
          experimentalImportSupport: false,
          inlineRequires: true,
        },
      }),
    },
    resolver: {
      // Avoid bundle update due to new screenshot files
      blacklistRE: exclusionList([/artifacts/, /__image_snapshots__/]),
      // Resolve `.e2e` files first as E2E Mocks
      sourceExts: process.env.E2E_TEST
        ? ['e2e.tsx', 'e2e.ts', ...defaultSourceExts]
        : defaultSourceExts,
    },
    maxWorkers: maxWorkers > 2 ? maxWorkers : 2,
  };
})();
