def handle_lane_success(os:)
  is_ios = os == 'iOS'
  emoji = is_ios ? '🍎🍎🍎' : '🤖🤖🤖'
  version =
    if is_ios
      get_version_number(xcodeproj: ENV['XCODEPROJ_PATH'])
    else
      android_get_version_name(gradle_file: ENV['GRADLE_FILE_PATH'])
    end
  build_number =
    if is_ios
      get_build_number(xcodeproj: ENV['XCODEPROJ_PATH'])
    else
      android_get_version_code(gradle_file: ENV['GRADLE_FILE_PATH'])
    end

  # EXAMPLE DISCORD NOTIFIER
  # send_discord_notification(
  #   title: "✅✅✅ #{os} build success #{emoji} - v#{version}(#{build_number})",
  #   description: 'TODO: Add download links or local changelog/last commit',
  #   success: true,
  # )
end

def handle_lane_error(exception:, os:)
  if is_ci
    # TODO: Not stable yet
    if os != 'iOS'
      send_discord_notification(
        description: exception.to_s,
        success: false,
        title: "❌❌❌ #{os} build failed",
      )
    end
  else
    warn "❌❌❌ Error: #{exception}"
    throw exception
  end
end

# def send_discord_notification(title:, description: nil, success: true)
#   discord_notifier(
#     webhook_url: 'webhook_url',
#     title: title,
#     success: success,
#     description: description || 'TODO: Add download links or local changelog/last commit',
#     discord_user_id: 'discord_user_id', # Discord Bot ID
#   )
# end
